# Search Influencers

Get a list of influencers that match your filters.
			A successful request costs 0.01 credits per search result, with a typical request totaling 0.15 credits for up to 15 results per page
			Audience filters support weights:Expand to see additional informationWeights allow you to set a threshold for the chosen filter. If you remove the weight - we will apply the default weight per filter.
			Using multiple filters simultaneously results in a logical AND, while applying multiple objects into an array (works with interests, location and age) are applied as a logical OR
			Example: If you want at least 30% of the audience to be at the age of 18-24, you can use the weight property of 0.3. We recommend starting with low weight and gradually increasing the percentage. You can find the default thresholds in the notes of each filter.
			Expand the filter object below to see all available options.

Endpoint: POST /instagram/search
Security: accessToken

## Request fields (application/json):

  - `page` (number)
    Page number

  - `calculationMethod` (string)
    If specified, this indicates the method used to compute average-based metrics, such as average number of likes, comments, shares, etc.
    Enum: "median", "average"

  - `sort` (object)
    Sorting

  - `sort.field` (string, required)
    Note: The following sort options are available only when the corresponding filter is applied: keywords audienceGeo audienceLang audienceGender audienceAge audienceInterest followersGrowth. 
		Sorting field in which order you want to get the results.
    Enum: "engagements", "followers", "engagementRate", "keywords", "audienceGeo", "audienceLang", "audienceGender", "audienceAge", "audienceRelevance", "relevance", "followersGrowth", "audienceInterest", "reelsPlays"

  - `sort.value` (number)
    Only required for audienceGeo and audienceInterest sorting.
    Example: 123

  - `sort.direction` (string)
    Sorting direction
    Enum: "asc", "desc"

  - `filter` (object)
    Example: {"influencer":{"followers":{"min":20000},"engagementRate":0.02,"location":[148838,62149,80500,1428125,304716],"language":"en","lastposted":90,"gender":"MALE","age":{"min":18},"followersGrowthRate":{"interval":"i6months","value":0.01,"operator":"gt"},"hasContactDetails":[{"contactType":"email","filterAction":"must"}],"interests":[3,21,1,13,11,1708,7,1826],"keywords":"supercars","reelsPlays":{"min":20000},"engagements":{"min":5000}},"audience":{"location":[{"id":148838,"weight":0.2},{"id":62149,"weight":0.2},{"id":80500,"weight":0.2},{"id":1428125,"weight":0.2},{"id":304716,"weight":0.2}],"language":{"id":"en","weight":0.2},"gender":{"id":"MALE","weight":0.5},"age":[{"id":"18-24","weight":0.3},{"id":"65-","weight":0.3}],"interests":[{"id":1708,"weight":0.2},{"id":13,"weight":0.2},{"id":3,"weight":0.2},{"id":21,"weight":0.2},{"id":1,"weight":0.2},{"id":11,"weight":0.2},{"id":7,"weight":0.2},{"id":1826,"weight":0.2}],"credibility":0.75}}

  - `filter.influencer` (object)

  - `filter.influencer.followers` (object)
    We round followers value in the filter: whenever it's below 5k, we round it to the nearest thousand (4123 -> 4000; 4800-> 5000); when it's over 5k, we round it to the nearest 5,000 (27k -> 25k; 28k -> 30k).
    Example: {"min":20000,"max":70000}

  - `filter.influencer.followers.min` (number)
    Minimum follower count.
    Example: 20000

  - `filter.influencer.followers.max` (number)
    Maximum follower count.
    Example: 70000

  - `filter.influencer.engagementRate` (number)
    Minimum engagement rate.
    Example: 0.02

  - `filter.influencer.location` (array)
    Filter by Influencer Location, You can get the locations with our locations api end point and send location ids in an array.
    Example: [148838,62149,80500,1428125,304716]

  - `filter.influencer.language` (string)
    Filter by Influencer Language, You can get the languages code with our languages api end point.
    Example: "en"

  - `filter.influencer.lastposted` (number)
    Idenitfy influencers based on when they last posted. The number represents days and should be >= 30.
    Example: 90

  - `filter.influencer.relevance` (array)
    Filter by topic of influencers posts or by similarity of topic to other influencer. For example "#cars #audi @topgear" means "Writing about #cars and #audi, has similar topic as @topgear account." You can only enter 100 usernames.
    Example: ["#cars","@topgear"]

  - `filter.influencer.audienceRelevance` (array)
    Filter by similarity of influencer's audience to another influencer's audience. For example "@topgear" means "Has audience similar to @topgear account." Audience similarity means followers follow accounts with the same topics as those followed by @topgear's audience.
    Example: ["@topgear"]

  - `filter.influencer.gender` (string)
    Filter by Influencer gender.
    Enum: "MALE", "FEMALE", "KNOWN", "UNKNOWN"

  - `filter.influencer.age` (object)
    Filter by Influencer age, possible values are: 18, 25, 35, 45, 65. You have the option to utilize either the min field, the max field, or both concurrently. Any number that falls outside the accepted range will be disregarded.

  - `filter.influencer.age.min` (number)
    Minimum influencer age.
    Enum: 18, 25, 35, 45, 65

  - `filter.influencer.age.max` (number)
    Maximum influencer age.
    Enum: 18, 25, 35, 45, 65

  - `filter.influencer.followersGrowthRate` (object)
    Growth rate by followers over a period of time.
    Example: {"interval":"i6months","value":0.01,"operator":"gt"}

  - `filter.influencer.followersGrowthRate.interval` (string, required)
    Specifies the interval of time in which growth occurred.
    Enum: "i1month", "i2months", "i3months", "i4months", "i5months", "i6months"

  - `filter.influencer.followersGrowthRate.value` (number)
    Weight of growth rate.
    Example: 0.01

  - `filter.influencer.followersGrowthRate.operator` (string, required)
    Operator used for comparison.
    Enum: "gte", "gt", "lt", "lte"

  - `filter.influencer.bio` (string)
    Search influencer by their bio description and/or full name
    Example: "photos videos"

  - `filter.influencer.hasAudienceData` (boolean)
    Filter by whether the influencer has audience data available. If true, shows only accounts with audience data. If false, shows all accounts including those without audience data. If not specified, defaults to true.

  - `filter.influencer.hasYouTube` (boolean)
    If Influencer has a youtube channel.

  - `filter.influencer.hasContactDetails` (array)
    If Influencer has contact details.

  - `filter.influencer.hasContactDetails.contactType` (string, required)
    Specifies the contact channels of an influencer.
    Enum: "bbm", "email", "facebook", "instagram", "itunes", "kakao", "kik", "lineid", "linktree", "pinterest", "sarahah", "sayat", "skype", "snapchat", "tiktok", "tumblr", "twitchtv", "twitter", "vk", "wechat", "youtube"

  - `filter.influencer.hasContactDetails.filterAction` (string)
    Defines condition enforced by the filter - "must" include, "should" include, or must "not" include.
    Enum: "must", "should", "not"

  - `filter.influencer.accountTypes` (array)
    Identify influencers by their Instagram account type: Regular = 1, Business = 2, Creator = 3. E.g to find business accounts use: 2
    Example: [2]

  - `filter.influencer.brands` (array)
    Filter by Influencer Brands, You can get the array of brands with our brands API endpoint and send brand ids in an array.
    Example: [1708,13]

  - `filter.influencer.interests` (array)
    Filter by Influencer Interests, You can get the array of interests with our interests api end point and send interests ids in an array.
    Example: [3,21,1,13,11,1708,7,1826]

  - `filter.influencer.keywords` (string)
    Identify influencers by a phrase they use within the caption of their post.
    Example: "supercars"

  - `filter.influencer.textTags` (array)
    Filter by influencers who have used the defined hashtags or mentions in their posts.
    Example: [{"type":"hashtag","value":"carsofinstagram"},{"type":"mention","value":"topgear"}]

  - `filter.influencer.textTags.type` (string, required)
    The type of the tag.
    Enum: "hashtag", "mention"

  - `filter.influencer.textTags.value` (string, required)
    The hashtag or mention without @ or # in front of it.

  - `filter.influencer.reelsPlays` (object)
    We round reels plays value in the filter to the nearest thousand (1400 -> 1k; 1500-> 2k)

  - `filter.influencer.reelsPlays.min` (number)
    Minimum reels plays count.
    Example: 20000

  - `filter.influencer.reelsPlays.max` (number)
    Maximum reels plays count.
    Example: 50000000

  - `filter.influencer.isVerified` (boolean)
    Set to true to filter by verified influencers.

  - `filter.influencer.hasSponsoredPosts` (boolean)
    Set to true to filter by influencers who have sponsored posts. We identify sponsored posts by looking for commercial hashtags or the official paid partnership tag.

  - `filter.influencer.engagements` (object)
    Filter by engagements count. Pro tip: set max to 0 if you want to see results with hidden likes.

  - `filter.influencer.engagements.min` (number)
    Minimum engagements count (this value will be rounded).
    Example: 5000

  - `filter.influencer.engagements.max` (number)
    Maximum engagements count (this value will be rounded).
    Example: 10000

  - `filter.influencer.filterOperations` (array)
    Modify filter operation to use and, or, or not. Example: Search for influencer using the keyword cars AND not from the London or Female or interested in Beauty & Cosmetics.If no operator is specified, the default operator applied is the and operator.

  - `filter.influencer.filterOperations.operator` (string, required)
    Logical operations used to combine filters.Note: To use the or operator, you must apply it to at least two filters.
    Enum: "and", "or", "not"

  - `filter.influencer.filterOperations.filter` (string, required)
    Filter to apply the operation on. If keywords or relevance are specified then you can not sort by these fields.
    Enum: "followers", "engagements", "engagementRate", "lastposted", "bio", "keywords", "relevance", "language", "gender", "age", "location", "isVerified", "interests", "brands", "accountTypes", "hasSponsoredPosts", "textTags"

  - `filter.audience` (object)

  - `filter.audience.location` (array)
    Filter by Audience Location, You can get the locations with our locations api end point and send location ids in an array together with their weight percentages. The default percentage is set to 20% (0.2)
    Example: [{"id":148838,"weight":0.2},{"id":62149,"weight":0.2},{"id":80500,"weight":0.2},{"id":1428125,"weight":0.2},{"id":304716,"weight":0.2}]

  - `filter.audience.location.weight` (number)
    Weight of filter.
    Example: 0.4

  - `filter.audience.location.id` (number, required)
    Filter value id for location (e.g. 148838)

  - `filter.audience.language` (object)
    Filter by Audience Language, You can get the languages code with our languages api end point and send the location id within an object, together with the weight percentage. The default percentage is set to 20% (0.2)
    Example: {"id":"en","weight":0.2}

  - `filter.audience.language.weight` (number)
    Weight of filter.
    Example: 0.2

  - `filter.audience.language.id` (string, required)
    Filter value id for language (e.g. "en")
    Example: "en"

  - `filter.audience.gender` (object)
    Filter by gender specific Audience, You can send the gender together with the weight percentage. The default percentage is set to 50% (0.5)
    Example: {"id":"MALE","weight":0.5}

  - `filter.audience.gender.weight` (number)
    Weight of filter.
    Example: 0.5

  - `filter.audience.gender.id` (string, required)
    Filter value id for gender
    Enum: "MALE", "FEMALE"

  - `filter.audience.age` (array)
    Filter by Audience age. You can send the age together with the weight percentage. The default percentage is set to 30% (0.3)
    Example: [{"id":"18-24","weight":0.3},{"id":"65-","weight":0.3}]

  - `filter.audience.age.weight` (number)
    Weight of filter.
    Example: 0.4

  - `filter.audience.age.id` (string, required)
    Filter value id for age
    Enum: "13-17", "18-24", "25-34", "35-44", "45-64", "65-"

  - `filter.audience.ageRange` (object)
    Filter by audience age range. You can send the age range together with the weight percentage. The default percentage is set to 30% (0.3). You can't send both age and ageRange together.
    Example: {"min":"18","max":"24","weight":0.3}

  - `filter.audience.ageRange.min` (string)
    Minimum audience age.
    Enum: "13", "18", "25", "35", "45", "65"

  - `filter.audience.ageRange.max` (string)
    Maximum audience age.
    Enum: "17", "24", "34", "44", "64"

  - `filter.audience.ageRange.weight` (number)
    Weight of audience age range.
    Example: 0.3

  - `filter.audience.interests` (array)
    Filter by Audience Interests, You can get the array of interests with our interests api end point and send interests ids in an array together with their weight percentages. The default percentage is set to 30% (0.3)
    Example: [{"id":1708,"weight":0.2},{"id":13,"weight":0.2},{"id":3,"weight":0.2},{"id":21,"weight":0.2},{"id":1,"weight":0.2},{"id":11,"weight":0.2},{"id":7,"weight":0.2},{"id":1826,"weight":0.2}]

  - `filter.audience.interests.weight` (number)
    Weight of filter.
    Example: 0.4

  - `filter.audience.interests.id` (number, required)
    Filter value id for interests (e.g. 1708)

  - `filter.audience.credibility` (number)
    Filter by Audience Credibility. The value is the inverse of fake followers, meaning 25% fake followers would translate to 0.75 of audience credibility.
    Example: 0.75

## Response 200 fields (application/json):

  - `error` (boolean)
    If there is an error

  - `total` (number, required)
    Number of results
    Example: 2

  - `lookalikes` (array, required)
    Lookalikes

  - `lookalikes.userId` (string, required)
    User Id
    Example: "173560420"

  - `lookalikes.profile` (object, required)
    Profile info of influencer

  - `lookalikes.profile.userId` (string)
    User id of the influencer
    Example: "173560420"

  - `lookalikes.profile.fullname` (string)
    Full name of Influencer
    Example: "Instagram"

  - `lookalikes.profile.username` (string, required)
    Username of Influencer
    Example: "instagram"

  - `lookalikes.profile.url` (string, required)
    Profile URL
    Example: "https://www.instagram.com/instagram/"

  - `lookalikes.profile.picture` (string, required)
    Profile Picture
    Example: "https://imgigp.modash.io/?https://scontent-arn2-1.cdninstagram.com/t51.2885-19/s320x320/22159423_1794482210565499_9190891265074397184_n.jpg"

  - `lookalikes.profile.followers` (number, required)
    Follower count
    Example: 313560626

  - `lookalikes.profile.engagements` (number, required)
    Engagements
    Example: 857994

  - `lookalikes.profile.engagementRate` (number, required)
    Engagement rate
    Example: 0.0027362938100525414

  - `lookalikes.match` (object)
    Match

  - `lookalikes.match.influencer` (object)
    Influencer match

  - `lookalikes.match.influencer.geo` (object)
    Influencer geo
    Example: {"city":{"id":1,"name":"New York","code":"NY"},"state":{"id":1,"name":"California","code":"CA"},"country":{"id":1,"name":"United States","code":"US"},"subdivision":{"id":1,"name":"New York State","code":"NY"}}

  - `lookalikes.match.influencer.language` (object)
    Influencer language
    Example: {"code":"en","name":"English"}

  - `lookalikes.match.influencer.relevance` (number)
    Influencer relevance
    Example: 0.85

  - `lookalikes.match.influencer.gender` (string)
    Influencer gender
    Example: "FEMALE"

  - `lookalikes.match.influencer.age` (string)
    Influencer age
    Example: "25-34"

  - `lookalikes.match.influencer.followersGrowthRate` (number)
    Influencer followers growth rate
    Example: 0.05

  - `lookalikes.match.influencer.brands` (array)
    Influencer brands
    Example: [{"id":1,"name":"Nike"}]

  - `lookalikes.match.influencer.interests` (array)
    Influencer interests
    Example: [{"id":3,"name":"Music"}]

  - `lookalikes.match.influencer.audienceRelevance` (number)
    Influencer audience relevance
    Example: 0.85

  - `lookalikes.match.audience` (object)
    Audience match

  - `lookalikes.match.audience.ages` (array)
    Audience ages
    Example: [{"code":"13-17","weight":0.25}]

  - `lookalikes.match.audience.ageRange` (object)
    Audience age range
    Example: {"code":"13-17","weight":0.25}

  - `lookalikes.match.audience.credibility` (number)
    Audience credibility
    Example: 0.85

  - `lookalikes.match.audience.geo` (object)
    Audience geo
    Example: {"countries":[{"id":1,"name":"United States","code":"US","weight":0.25}],"states":[{"id":1,"name":"California","code":"CA","weight":0.25}],"cities":[{"id":1,"name":"New York","code":"NY","weight":0.25}],"subdivisions":[{"id":1,"name":"New York State","weight":0.25}]}

  - `lookalikes.match.audience.interests` (array)
    Audience interests
    Example: [{"id":1,"name":"Fashion"}]

  - `lookalikes.match.audience.languages` (array)
    Audience languages
    Example: [{"code":"en","name":"English","weight":0.25}]

  - `lookalikes.match.audience.genders` (array)
    Audience genders
    Example: [{"code":"MALE","weight":0.25}]

  - `directs` (array, required)
    Directs

  - `directs.userId` (string, required)
    User Id
    Example: "173560420"

  - `directs.profile` (object, required)
    Profile info of influencer

  - `directs.profile.userId` (string)
    User id of the influencer
    Example: "173560420"

  - `directs.profile.fullname` (string)
    Full name of Influencer
    Example: "Instagram"

  - `directs.profile.username` (string, required)
    Username of Influencer
    Example: "instagram"

  - `directs.profile.url` (string, required)
    Profile URL
    Example: "https://www.instagram.com/instagram/"

  - `directs.profile.picture` (string, required)
    Profile Picture
    Example: "https://imgigp.modash.io/?https://scontent-arn2-1.cdninstagram.com/t51.2885-19/s320x320/22159423_1794482210565499_9190891265074397184_n.jpg"

  - `directs.profile.followers` (number, required)
    Follower count
    Example: 313560626

  - `directs.profile.engagements` (number, required)
    Engagements
    Example: 857994

  - `directs.profile.engagementRate` (number, required)
    Engagement rate
    Example: 0.0027362938100525414

  - `directs.match` (object)
    Match

  - `directs.match.influencer` (object)
    Influencer match

  - `directs.match.influencer.geo` (object)
    Influencer geo
    Example: {"city":{"id":1,"name":"New York","code":"NY"},"state":{"id":1,"name":"California","code":"CA"},"country":{"id":1,"name":"United States","code":"US"},"subdivision":{"id":1,"name":"New York State","code":"NY"}}

  - `directs.match.influencer.language` (object)
    Influencer language
    Example: {"code":"en","name":"English"}

  - `directs.match.influencer.relevance` (number)
    Influencer relevance
    Example: 0.85

  - `directs.match.influencer.gender` (string)
    Influencer gender
    Example: "FEMALE"

  - `directs.match.influencer.age` (string)
    Influencer age
    Example: "25-34"

  - `directs.match.influencer.followersGrowthRate` (number)
    Influencer followers growth rate
    Example: 0.05

  - `directs.match.influencer.brands` (array)
    Influencer brands
    Example: [{"id":1,"name":"Nike"}]

  - `directs.match.influencer.interests` (array)
    Influencer interests
    Example: [{"id":3,"name":"Music"}]

  - `directs.match.influencer.audienceRelevance` (number)
    Influencer audience relevance
    Example: 0.85

  - `directs.match.audience` (object)
    Audience match

  - `directs.match.audience.ages` (array)
    Audience ages
    Example: [{"code":"13-17","weight":0.25}]

  - `directs.match.audience.ageRange` (object)
    Audience age range
    Example: {"code":"13-17","weight":0.25}

  - `directs.match.audience.credibility` (number)
    Audience credibility
    Example: 0.85

  - `directs.match.audience.geo` (object)
    Audience geo
    Example: {"countries":[{"id":1,"name":"United States","code":"US","weight":0.25}],"states":[{"id":1,"name":"California","code":"CA","weight":0.25}],"cities":[{"id":1,"name":"New York","code":"NY","weight":0.25}],"subdivisions":[{"id":1,"name":"New York State","weight":0.25}]}

  - `directs.match.audience.interests` (array)
    Audience interests
    Example: [{"id":1,"name":"Fashion"}]

  - `directs.match.audience.languages` (array)
    Audience languages
    Example: [{"code":"en","name":"English","weight":0.25}]

  - `directs.match.audience.genders` (array)
    Audience genders
    Example: [{"code":"MALE","weight":0.25}]

  - `isExactMatch` (boolean, required)
    Are the results exactly matching the filters you provided? If we don't find exact results then we try to show similar users by automatically removing some filters for you.
    Example: true


